Roomability Guest API
  1. Hotel
Roomability Guest API
  • Introduction
  • Authentication
  • Errors
  • Booking Flow
  • Reservation
    • Add
      POST
    • Availability
      POST
    • Cancel
      POST
    • Booking Ref
      GET
  • Country
    • Get Countries List
      GET
  • State
    • Get State List
      GET
  • RoomType
    • Get Room Types
      GET
    • Get Room Detail
      GET
  • Guest
    • Detail
      GET
  • Term
    • Detail
      GET
  • Privacy
    • Detail
      GET
  • Payment Method
    • Active List
      GET
  • Paystack
    • Verify
      GET
    • Initialize
      POST
  • Hotel
    • Detail
      GET
    • Hotel Rule
      GET
  • PayGateway
    • Detail
  • CancelPolicy
    • Detail
  • Search List
    GET
  • Phone Code List
    GET
  1. Hotel

Hotel Rule

GET
https://guestapi.roomability.io/Rule/Detail
Last modified:2026-03-13 10:59:37

Request

Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://guestapi.roomability.io/Rule/Detail' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json'
Response Response Example
{
    "checkInTime": "01:00 PM",
    "checkOutTime": "12:00 PM",
    "minCheckInWindow": 1,
    "maxCheckInWindow": 120,
    "minStayLength": 1,
    "maxStayLength": 120,
    "updatedBy": 1,
    "updatedOn": "2001-01-01 00:00:00",
    "errorCode": 0,
    "errorMessage": "Successfully retrieved booking rules."
}
Modified at 2026-03-13 10:59:37
Previous
Detail
Next
Detail
Built with